* appendix table 3--selectively dropping areas of the state

set more off
use data/town_level_2013, clear

* define areas
gen ny_area=0
replace ny_area=1 if town_name=="New York" | county=="Nassau" | county=="Suffolk" | county=="Westchester" | county=="Rockland" | county=="Putnam" ///
| county=="Orange" | county=="Dutchess" | county=="Ulster" | county=="Sullivan"
gen albany_area=0
replace albany_area=1 if county=="Albany" | county=="Saratoga" | county=="Schenectady" | county=="Rensselaer"
gen buffalo_area=0
replace buffalo_area=1 if county=="Niagara" | county == "Erie"
gen upstate_area=0
replace upstate_area=1 if county=="Franklin" | county=="Clinton" | county=="St Lawrence" | county=="Essex" | county=="Jefferson" ///
| county=="Hamilton" | county=="Warren" | county=="Washington" | county=="Herkimer" | county=="Lewis"

local rhs pop pop2  pop_within_25 pop2_within_25 cities_within_25 number_within_25 number2_within_25 border_within_25 ///
	estabs estabs2 ///
	manu_percent service_percent business_percent white_percent poverty_percent college_percent 
local distances 25 
local areas ny albany buffalo upstate

foreach dist in `distances'{

	foreach area in `areas'{
	qui ivregress 2sls  lsubsidy_2013 (idas_within_`dist'=counties_within_`dist') `rhs' if `area'_area==0,vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	qui ivprobit exemp_city_2013 (idas_within_`dist'=counties_within_`dist') `rhs' if `area'_area==0 , vce(cl county)	
	estimates table, keep(idas_within_`dist') b se t p stats(N)

	}
	
}

