* appendix table 7--nonlinearity in the effect

set more off
use data/town_level_2013, clear

* Panel A uses a squared term

local rhs pop pop2  pop_within_25 pop2_within_25 cities_within_25 number_within_25 number2_within_25 border_within_25 ///
	estabs estabs2 ///
	manu_percent service_percent business_percent white_percent poverty_percent college_percent 
local dist 25	
	
* create instrument
qui reg idas_within_25 counties_within_25 `rhs' i.county_fe
predict pred_idas
gen pred_idas2=pred_idas^2
gen idas_sq=idas_within_25^2

* run regressions
local rhs pop pop2  pop_within_25 pop2_within_25 cities_within_25 number_within_25 number2_within_25 border_within_25 ///
	estabs estabs2 ///
	manu_percent service_percent business_percent white_percent poverty_percent college_percent 
local dist 25	

qui reg exemp_city_2013 idas_within_25 idas_sq `rhs' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist' idas_sq) b se t p stats(N)
	
qui ivregress 2sls exemp_city_2013 (idas_within_25 idas_sq = counties_within_25 pred_idas2) `rhs' i.county_fe,vce(cl county) 
	estimates table, keep(idas_within_`dist' idas_sq) b se t p stats(N)

qui reg lsubsidy_2013 idas_within_25 idas_sq `rhs' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist' idas_sq) b se t p stats(N)
	
qui ivregress 2sls  lsubsidy_2013 (idas_within_25 idas_sq = counties_within_25 pred_idas2) `rhs' i.county_fe,vce(cl county) 
	estimates table, keep(idas_within_`dist' idas_sq) b se t p stats(N)

	
	
* Panel B uses a spline

* make spline
mkspline idas1 3 idas2 6 idas3 9 idas4 = idas_within_25

* run regressions
local rhs pop pop2  pop_within_25 pop2_within_25 cities_within_25 number_within_25 number2_within_25 border_within_25 ///
	estabs estabs2 ///
	manu_percent service_percent business_percent white_percent poverty_percent college_percent 

	
reg exemp_city_2013 idas1-idas4 `rhs' i.county_fe, vce(cl county)

reg lsubsidy_2013 idas1-idas4 `rhs' i.county_fe, vce(cl county)


