* figure 2--exemptions versus number of nearby IDAs

set more off
use data/town_level_2013,clear
gen no_subsidy=0
replace no_subsidy=1 if exemp_city_2013==0
gen subsidy_100k=0
replace subsidy_100k=1 if net_exemp_2013>0 & net_exemp_2013<100000
gen subsidy_500k=0
replace subsidy_500k=1 if net_exemp_2013>100000 & net_exemp_2013<500000
gen subsidy_1m=0
replace subsidy_1m=1 if net_exemp_2013>500000 & net_exemp_2013<1000000
gen subsidy_5m=0
replace subsidy_5m=1 if net_exemp_2013>1000000
replace idas_within_25=6 if idas_within_25>6
replace counties_within_25=4 if counties_within_25>4

local color black
graph bar (mean) subsidy_5m (mean) subsidy_1m (mean) subsidy_500k  (mean) subsidy_100k (mean) no_subsidy  ///
	, over(idas_within_25, relabel(1 `""Towns near"  "0 IDAs""' 7 `""Towns near" "6+ IDAs""')) stack graphregion(color(white)) bgcolor(white) ///
	bar(1, fintensity(inten100) color(`color')) bar(2, fintensity(inten70) color(`color')) bar(3, fintensity(inten50) color(`color')) bar(4, fintensity(inten20) color(`color')) bar(5, fintensity(inten0) color(`color'))  ///
	legend( label(5 "No Exemptions") label(4 "$1-100K") label(3 "$100K-500K") ///
	label(2 "$500K-1M") label(1 ">$1M") ) ytitle(Percent of towns with X exemptions)
