clear all
format shortG 
warning('off','MATLAB:nearlySingularMatrix')

% add matlab functions to path
addpath('matlab_functions')

% load estimation file
load('data/full_formatted_data')

%% evaluate at three values of kappa prop

sims=10;
beta_tax_list=[-600];
factor_list=[611];
kappa_prop_list=[.2,.3,.4,.5,.6];
kappa_emp_list=[43500];
subsidy_sums=zeros(5,1);

for tax_i=1:1;
    for dist_i=1:1;
        for prop_i=1:5;
            for emp_i=1:1;
                beta_tax=beta_tax_list(tax_i);
                beta_distance=factor_list(dist_i);
                kappa_prop=kappa_prop_list(prop_i);
                kappa_emp=kappa_emp_list(emp_i);
                param=[beta_distance,kappa_prop,kappa_emp];
                moments=simulate_sum(param,struct_id,struct_id_auct,distances,poverty_percent,property_tax_2013,property_tax_2008,exemption_year,ida_vector,prop,emp, liability_2008, liability_2013, property_tax,bid_options, ...
                                    bid_plans,z,x,z20,x20,z30,x30,z35,x35,z40,x40,true_b20_2013,true_b25_2013,true_b30_2013, ...
                                    true_b35_2013,true_b40_2013,true_percent_pos_2013,true_p25_subs_2013,true_sum_2013, ...
                                    true_b20_2008,true_b25_2008,true_b30_2008,true_b35_2008,true_b40_2008,true_percent_pos_2008,...
                                    true_p25_subs_2008,true_sum_2008,num,sims, county_number,pref_loc_matrix,active_2008,active_2013, ...
                                    true_emp_corr_2013, true_emp_corr_2008,state_sales_exemptions_2013,property_exemptions_2008,property_exemptions_2013)

                 subsidy_sums(prop_i)=moments;
                 
            end;
        end;
    end;
end;
         
%% plot the returned sum estimate
xaxis=[.2,.3,.4,.5,.6];

% plot sum versus kappa
figure()
hold on
set(findobj(gca, 'Type', 'Line', 'Linestyle', '--'), 'LineWidth', 2);
plot(xaxis, subsidy_sums,'LineWidth',1)
title('\kappa versus sum of subsidies') 
ylabel('sum of subsidies') 
xlabel('kappa') 
legend('Location','SouthWest') 
hold off










