*table 1 panel A--exemption summary

clear all
set more off
use "data/subsidy_level_2013.dta", clear

* remove nonprofits and restrict to desired sectors
gen year=year(approval_date)
keep if net_exemptions>0
drop if NonProfitIndicator =="Yes"
drop if sector=="Civic Facility" | sector=="Agriculture, Forestry and Fishing" ///
	| sector=="Transportation, Communication, Electric, Gas and Sanitary Services"

tabstat net_exemptions year , stat(p10 p50 p75 p95 mean N) format(%7.0g)
tabstat CurrentFTEEmployees if CurrentFTEEmployees>0, stat(p10 p50 p75 p95 mean N) format(%7.0g)

* table 1 panel B--town summary
clear all
set more off
use "data/town_level_2013.dta", clear
tabstat net_exemp_2013 idas_within_25 counties_within_25 perc_exemp_2013 , ///
	stat(p10 p50 p75 p95 mean N) format(%7.0g)




